org.jetlang.remote.core

## Interface SerializerFactory

All Known Implementing Classes:
  ByteArraySerializer.Factory, JavaSerializer.Factory

    public interface SerializerFactory

User: mrettig Date: 4/6/11 Time: 10:49 AM

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`Serializer` `create()`
`default ObjectByteWriter` `createForGlobalWriter()`
`default Serializer` `createForSocket(Socket socket)`

### Method Detail

#### create

    Serializer create()

#### createForSocket

    default Serializer createForSocket(Socket socket)

#### createForGlobalWriter

    default ObjectByteWriter createForGlobalWriter()